/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2007 The LS-Universe Team

    Homepage: http://www.ls-universe.info

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(AFX_UTILITIES_H__54F0E0FB_ABA1_4BDC_9F6B_8DF661DA0BD2__INCLUDED_)
#define AFX_UTILITIES_H__54F0E0FB_ABA1_4BDC_9F6B_8DF661DA0BD2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\xPaintClass_SDK\SDK\xExports.h"

//#define StringCchCopy(a, b, c) strncpy((a), (c), (b))
#define StringCchLength(a, b, c) *(c) = strlen((a)), S_OK
#define StringCchPrintf _snprintf

static int iScreenWidth = GetSystemMetrics(SM_CXSCREEN);
static int iScreenHeight = GetSystemMetrics(SM_CYSCREEN);

struct CLASS_CONFIG
{	
	int position;
	string classname;
	string windowname;
};

string trim(const string &toTrim);
string IntToString(int input);

int SplitString(const string &process, string &one, string &two, string &three, string &four, string &five, string &six, string &seven);

string iGetxRCString(const string &uniqueKey, const string &baseName, const string &defaultVal);
string iGetx2RCString(const string &uniqueKey, const string &baseName, const string &defaultVal);

string iGetxRCLine(const string &uniqueKey, const string &baseName, const string &defaultVal);
string iGetx2RCLine(const string &uniqueKey, const string &baseName, const string &defaultVal);

void PrefixedLSSetVariable(string prefix, string var, string value);

string GetTaskClass( HWND hTask );

string GetTaskWindowText( HWND hTask );

bool IsSubString(const string &big, const string &small);

bool IsOnTrayList(HWND hWnd, vector<CLASS_CONFIG> theList, bool emptyValue);
int PosOnTrayList(HWND hWnd, vector<CLASS_CONFIG> theList, int emptyValue);

StringList GetxRCLineList(const string &uniqueKey);

void GetxRCList(char *text, vector<CLASS_CONFIG> &theList, bool setPosition = false);

#endif // !defined(AFX_UTILITIES_H__54F0E0FB_ABA1_4BDC_9F6B_8DF661DA0BD2__INCLUDED_)
